import type { CustomSlotsType } from '@antdv/ui/es/types';
declare const _default: import("vue").DefineComponent<{
    id: StringConstructor;
    role: StringConstructor;
    disabled: BooleanConstructor;
    danger: BooleanConstructor;
    title: {
        type: (BooleanConstructor | StringConstructor)[];
        default: any;
    };
    icon: any;
    onMouseenter: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onMouseleave: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onClick: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onKeydown: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onFocus: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    originItemValue: {
        type: import("vue").PropType<import("./interface").ItemType>;
        default: import("./interface").ItemType;
    };
}, () => import("vue/jsx-runtime").JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: StringConstructor;
    role: StringConstructor;
    disabled: BooleanConstructor;
    danger: BooleanConstructor;
    title: {
        type: (BooleanConstructor | StringConstructor)[];
        default: any;
    };
    icon: any;
    onMouseenter: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onMouseleave: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onClick: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onKeydown: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    onFocus: import("vue").PropType<import("@antdv/ui/es/types").MouseEventHandler>;
    originItemValue: {
        type: import("vue").PropType<import("./interface").ItemType>;
        default: import("./interface").ItemType;
    };
}>>, {
    disabled: boolean;
    icon: any;
    title: string | boolean;
    danger: boolean;
    originItemValue: import("./interface").ItemType;
}, CustomSlotsType<{
    icon?: any;
    title?: any;
    default?: any;
}>>;
export default _default;
